<?php


class Form_validation
{

    protected $demandbase_api;


    public function __construct()
    {
        $this->demandbase_api = new Demandbase();
    }


    /**
     * Validate submitted fields and return errors if necessary
     *
     * @param array $fields All of the fields to validate
     * @return boolean
     */
    public function validate_post ()
    {
        // Expecting
        // ----------------------------------------
        // $_POST['demandbase_api_key'];
        // $_POST['demandbase_sim_active'];
        // $_POST['demandbase_company_ip'];
        // $_POST['demandbase_custom_ip_active'];
        // $_POST['demandbase_custom_ip'];

        $errors = FALSE;

        // Form data sent
        $post['demandbase_api_key'] = $_POST['demandbase_api_key'];
        $post['demandbase_sim_active'] = $_POST['demandbase_sim_active'];
        $post['demandbase_company_ip'] = isset($_POST['demandbase_company_ip']) && !empty($_POST['demandbase_company_ip']) ? $_POST['demandbase_company_ip'] : false;
        $post['demandbase_custom_ip_active'] = $_POST['demandbase_custom_ip_active'];
        $post['demandbase_custom_ip'] = isset($_POST['demandbase_custom_ip']) && !empty($_POST['demandbase_custom_ip']) ? $_POST['demandbase_custom_ip'] : false;

        if($this->demandbase_api->get_company_profile($post['demandbase_api_key'], '4.16.87.226') === FALSE)
        {
            $errors['demandbase_api_key'] = 'You have entered an invalid API key.';
        }

        if($post['demandbase_company_ip'] !== false)
        {
            if (filter_var($post['demandbase_company_ip'], FILTER_VALIDATE_IP) == false)
            {
                $errors['demandbase_company_ip'] = 'The IP address you entered is invalid.';
            }
        }

        if($post['demandbase_custom_ip'] !== false)
        {
            if (filter_var($post['demandbase_custom_ip'], FILTER_VALIDATE_IP) == false)
            {
                $errors['demandbase_custom_ip'] = 'The IP address you entered is invalid.';
            }
        }

        return $errors;
    }

}